Bug 435743 - htfuzzy soundex gives spurious error message when allow_numbers is true
Summary: htfuzzy soundex gives spurious error message when allow_numbers is true
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: htdig (Show other bugs)
(Show other bugs)
Version: 5.1
Hardware: All Linux
low
low
Target Milestone: rc
: ---
Assignee: Adam Tkac
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-03 17:21 UTC by Gilles Detillieux
Modified: 2013-04-30 23:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-11 16:11:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix htfuzzy to ignore numbers in word database when making soundex keys (428 bytes, patch)
2008-03-03 17:21 UTC, Gilles Detillieux
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0291 normal SHIPPED_LIVE htdig bug fix update 2009-03-11 16:11:28 UTC

Description Gilles Detillieux 2008-03-03 17:21:45 UTC
Description of problem:
When running "htfuzzy soundex" after indexing with htdig, with the allow_numbers
attribute set to true in htdig.conf, htfuzzy gives the error message:
DB2 problem...: missing or empty key value specified

Version-Release number of selected component (if applicable):
3.2.0b6

How reproducible:
Always

Steps to Reproduce:
1. set "allow_numbers: true" in htdig.conf
2. run htdig
3. run "htfuzzy soundex"
  
Actual results:
htfuzzy complains with the error message...
DB2 problem...: missing or empty key value specified

but apart from that it works fine.


Expected results:
No error message.

Additional info:
The patch below fixes this problem by not adding any keys to the soundex
database for indexed numbers.  The patch is for htdig version 3.2.0b6, but the
bug is in all versions of htdig in all Red Hat and Fedora releases.

Comment 1 Gilles Detillieux 2008-03-03 17:21:45 UTC
Created attachment 296642 [details]
patch to fix htfuzzy to ignore numbers in word database when making soundex keys

Comment 2 Adam Tkac 2008-04-23 12:09:54 UTC
Patch looks fine for me, thanks

Comment 3 RHEL Product and Program Management 2008-07-21 23:05:29 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 9 errata-xmlrpc 2009-03-11 16:11:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0291.html


Note You need to log in before you can comment on or make changes to this bug.